Bug 156584 - PAM's pam_access is broken
PAM's pam_access is broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-01 22:28 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-02 02:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-05-01 22:28:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.7) Gecko/20050416 Epiphany/1.6.1

Description of problem:
The pam_access module is broken.

Version-Release number of selected component (if applicable):
pam-0.79-6

How reproducible:
Always

Steps to Reproduce:
1.  Add the following line to /etc/pam.d/system-auth:

auth        required      pam_access.so

2.  Try to login as a user.

Actual Results:  [mike@imp]$ su - someuser
password:
su: incorrect password

/var/log/messages says:

[...]
May  1 21:18:35 imp su: PAM unable to resolve symbol: pam_sm_authenticate
May  1 21:18:35 imp su: PAM unable to resolve symbol: pam_sm_setcred
[...]

Expected Results:  I should be able to log in unless /etc/security/access.conf forbids it.

Additional info:
Comment 1 Tomas Mraz 2005-05-02 02:51:43 EDT
pam_access is used only in the account phase not in the authenticate phase.

Note You need to log in before you can comment on or make changes to this bug.